Bug 250200 - www/py-aiohttp: fix build with python39
Summary: www/py-aiohttp: fix build with python39
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: needs-qa
Depends on:
Blocks: 250160
  Show dependency treegraph
 
Reported: 2020-10-08 13:51 UTC by Dmitry Marakasov
Modified: 2020-10-19 16:30 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly-


Attachments
Patch (563 bytes, patch)
2020-10-08 13:51 UTC, Dmitry Marakasov
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2020-10-08 13:51:14 UTC
Created attachment 218611 [details]
Patch

Fix build with upcoming python 3.9 by force regenerating cython files which are not compatible with python 3.9.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-10-14 03:04:05 UTC
Thanks Dmitry, free to take and commit this if it passes QA
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-10-14 03:04:39 UTC
Comment on attachment 218611 [details]
Patch

Approved by: koobs (maintainer)
MFH: No (lang/python39 not in quarterly)

Pending QA
Comment 3 commit-hook freebsd_committer 2020-10-19 16:30:55 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Oct 19 16:30:28 UTC 2020
New revision: 552750
URL: https://svnweb.freebsd.org/changeset/ports/552750

Log:
  - Fix build with python39 by forcibly regenerating cython files

  PR:		250200
  Submitted by:	amdmi3
  Approved by:	koobs (maintainer)

Changes:
  head/www/py-aiohttp/Makefile